Bug 93057 - [ new port ] print/jabref, a BibTeX ref manager
Summary: [ new port ] print/jabref, a BibTeX ref manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-08 19:20 UTC by Fernan Aguero
Modified: 2006-02-13 12:56 UTC (History)
0 users

See Also:


Attachments
jabref.shar (2.64 KB, text/plain)
2006-02-08 19:20 UTC, Fernan Aguero
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2006-02-08 19:20:07 UTC
	
	
	
	Jabref is a bibliographic reference manager and editor written in Java.
	
	My selection of categories can be explained as:

	print   - native format for bibliographies is BibTeX, integrates 
	          with LyX and Kile
	java    - is written in java
	editors - it is an editor for BibTeX format files
Comment 1 Herve Quiroz freebsd_committer 2006-02-10 10:37:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 Hervé Quiroz 2006-02-10 11:13:23 UTC
Could you please review this new version of the port:

- Removed "ex:ts=8" from Makefile
- Use %%JAVA_VERSION%% in the launcher shell script
- Rename the executable to ${PORTNAME} (no .sh suffix)
- Have the JAR file installed in ${DATADIR} (with
  DATADIR=${JAVASHAREDIR}/${PORTNAME}) rather than ${JAVAJARDIR} because
  it seems to me that the JAR file is not useful to any other
  application (that is, it is not a library).

Heve


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	jabref
#	jabref/distinfo
#	jabref/Makefile
#	jabref/pkg-descr
#	jabref/files
#	jabref/files/jabref.sh.in
#
echo c - jabref
mkdir -p jabref > /dev/null 2>&1
echo x - jabref/distinfo
sed 's/^X//' >jabref/distinfo << 'END-of-jabref/distinfo'
XMD5 (JabRef-2.0b2.jar) = ab797d590977a82899a68e23ef5fde7b
XSHA256 (JabRef-2.0b2.jar) = 6cb88627e04450d76a8cb8cba6177eb945cf8d1c3555d8c1f387547ca402538c
XSIZE (JabRef-2.0b2.jar) = 3421803
END-of-jabref/distinfo
echo x - jabref/Makefile
sed 's/^X//' >jabref/Makefile << 'END-of-jabref/Makefile'
X# New ports collection makefile for:	jabref
X# Date created:				18 Jan 2006
X# Whom:					Fernan Aguero <fernan@iib.unsam.edu.ar>
X#
X# $FreeBSD$
X
XPORTNAME=	jabref
XPORTVERSION=	2.0b2
XCATEGORIES=	print java editors
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XDISTNAME=	JabRef-${PORTVERSION}
XEXTRACT_SUFX=	.jar
XEXTRACT_ONLY=	#
X
XMAINTAINER=	fernan@iib.unsam.edu.ar
XCOMMENT=	A (BibTeX native) bibliographic reference manager
X
XUSE_JAVA=	yes
XJAVA_VERSION=	1.4+
XNO_BUILD=	yes
X
XDATADIR=	${JAVASHAREDIR}/${PORTNAME}
X
XSUB_FILES=	${PORTNAME}.sh
XSUB_LIST=	JARNAME=${DISTFILES}
X
XPLIST_FILES=	%%DATADIR%%/${DISTFILES} \
X		bin/${PORTNAME}
XPLIST_DIRS=	%%DATADIR%%
X
Xdo-install:
X	${MKDIR} ${DATADIR}
X	${INSTALL_DATA} ${DISTDIR}/${DISTFILES} ${DATADIR}
X	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}.sh ${PREFIX}/bin/${PORTNAME}
X
X.include <bsd.port.mk>
END-of-jabref/Makefile
echo x - jabref/pkg-descr
sed 's/^X//' >jabref/pkg-descr << 'END-of-jabref/pkg-descr'
XJabRef is an open source bibliography reference manager. The native file
Xformat used by JabRef is BibTeX, the standard LaTeX bibliography format.
XAs such it can also be considered a BibTeX editor.
X
XJabRef runs on the Java VM (version 1.4.2 or greater).
X
XSome of its features:
X
X o Search and fetch references from Medline/PubMed and CiteSeer
X o Search, classify and sort entries in your BibTeX files
X o import and export of references in various formats
X o launch external viewers and insert citations into LyX and Kile 
X o automatically generate BibTeX keys
X o customize (add your own) BibTeX fields
X
XWWW: http://jabref.sf.net
END-of-jabref/pkg-descr
echo c - jabref/files
mkdir -p jabref/files > /dev/null 2>&1
echo x - jabref/files/jabref.sh.in
sed 's/^X//' >jabref/files/jabref.sh.in << 'END-of-jabref/files/jabref.sh.in'
X#!/bin/sh
X#
X# $FreeBSD$
X
XJAVA_VERSION="%%JAVA_VERSION%%" "%%LOCALBASE%%/bin/java" -jar "%%DATADIR%%/%%JARNAME%%" "$@"
END-of-jabref/files/jabref.sh.in
exit
Comment 3 Herve Quiroz freebsd_committer 2006-02-10 11:13:55 UTC
State Changed
From-To: open->feedback

Submitter asked for feedback
Comment 4 Fernan Aguero 2006-02-10 19:05:31 UTC
+----[ Herve Quiroz <herve.quiroz@esil.univ-mrs.fr> (10.Feb.2006 14:57):
|
| Could you please review this new version of the port:
| 
| - Removed "ex:ts=8" from Makefile

OK, but is this new? I have this all over the place in all
the ports I maintain. And I just copied this practice from
other ports when I started ...

| - Use %%JAVA_VERSION%% in the launcher shell script
| - Rename the executable to ${PORTNAME} (no .sh suffix)
| - Have the JAR file installed in ${DATADIR} (with
|   DATADIR=${JAVASHAREDIR}/${PORTNAME}) rather than ${JAVAJARDIR} because
|   it seems to me that the JAR file is not useful to any other
|   application (that is, it is not a library).
| 
| Heve
| 
|
+----]

[ shar archive snipped ]

It looks fine. Thanks for the review, and for the detailed
notes.

Fernan
Comment 5 Herve Quiroz freebsd_committer 2006-02-13 12:56:14 UTC
State Changed
From-To: feedback->closed

New port added. 

Thanks for your contribution!